Issues

Issue #107 on hold

libgd: Support for new ppc64le arch.

Anonymous created an issue

We are adding support for new ppc64le (IBM powerPC Little Endian) architecture as part of which we are looking at all the packages that need update.

I was looking at the package "libgd"(from repository :https://bitbucket.org/libgd/gd-libgd.git and libgd-2.1.0 tarball as well) and was failed to build "libgd" package on ppc64le machine because of outdated libtool(libtool that does not have support for ppc64le).

We have worked with libtool maintainer to get alpha source release that has all the needed bits to support building on ppc64le. A stable release is expected by end of year.

You can pick up the libtool alpha source release from either of the below : ftp://alpha.gnu.org/gnu/libtool/libtool-2.4.2.418.tar.gz (1.6MB) ftp://alpha.gnu.org/gnu/libtool/libtool-2.4.2.418.tar.xz (920KB)

Would it be possible for you to spin up a newer version of "libgd" which would support ppc64le? by using alpha libtool release?

Please do let me know if you will be picking up the patches from upstream or you would require local patches to be provided. I can send out the patches to you.

I can help to validate the new release of the "libgd" works well by compiling on ppc64le machine.

Appreciate your response.

Thanks, Chandan

Comments (3)

  1. Pierre Joye

    hi!

    Thanks for your report!

    I am not sure we can safely rely on alpha libtool for stable releases, maybe other can comment here and confirm it :)

    In the meantime, you can package it yourself running the bootstrap script, either from the release or from the repository, would it be an acceptable solution?

  2. Log in to comment